'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var styled = require('styled-components');
var styled__default = _interopDefault(styled);

function _taggedTemplateLiteralLoose(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }
  strings.raw = raw;
  return strings;
}

var _templateObject, _templateObject2, _templateObject3;
var BotaoEstilizado = /*#__PURE__*/styled__default.button(_templateObject || (_templateObject = /*#__PURE__*/_taggedTemplateLiteralLoose(["\n  background: ", ";\n  padding: 16px 32px;\n  border: 2px solid #EB9B00;\n  color: ", ";\n  font-size: 20px;\n  cursor: pointer;\n  ", ";\n"])), function (props) {
  return props.tipo == 'primario' ? '#EB9B00' : '#FFF';
}, function (props) {
  return props.tipo == 'primario' ? '#FFF' : '#EB9B00';
}, function (props) {
  return props.tipo == 'primario' ? styled.css(_templateObject2 || (_templateObject2 = _taggedTemplateLiteralLoose(["\n      &:hover {\n        background: #B87900;\n        border: 2px solid #B87900;\n      }\n    "]))) : styled.css(_templateObject3 || (_templateObject3 = _taggedTemplateLiteralLoose(["\n      &:hover {\n        background: #FFF;\n        border: 2px solid #B87900;\n        color: #B87900;\n      }\n    "])));
});
var AbBotao = function AbBotao(_ref) {
  var onClick = _ref.onClick,
    texto = _ref.texto,
    _ref$tipo = _ref.tipo,
    tipo = _ref$tipo === void 0 ? 'primario' : _ref$tipo;
  return React__default.createElement(BotaoEstilizado, {
    onClick: onClick,
    tipo: tipo
  }, texto);
};

var _templateObject$1;
var CardEstilizado = /*#__PURE__*/styled__default.div(_templateObject$1 || (_templateObject$1 = /*#__PURE__*/_taggedTemplateLiteralLoose(["\n  background: #FFF;\n  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);\n  border-radius: 10px;\n  padding: 48px;\n"])));
var AbCard = function AbCard(_ref) {
  var children = _ref.children;
  return React__default.createElement(CardEstilizado, null, children);
};

var _templateObject$2;
var SectionEstilizado = /*#__PURE__*/styled__default.section(_templateObject$2 || (_templateObject$2 = /*#__PURE__*/_taggedTemplateLiteralLoose(["\n  width: 194px;\n  height: 88px;\n  background: ", ";\n  border: 1px solid;\n  border-color: ", ";\n  border-radius: 8px;\n  display: flex;\n  flex-direction: column;\n  justify-content: space-around;\n  align-items: center;\n  margin: 10px;\n  font-family: sans-serif;\n  cursor: pointer;\n  header {\n    font-family: 'Poppins';\n    font-style: normal;\n    font-weight: 400;\n    font-size: 12px;\n    line-height: 18px;\n    text-align: center;\n    color: ", ";\n  }\n  strong {\n    font-family: 'Poppins';\n    font-style: normal;\n    font-weight: 700;\n    font-size: 16px;\n    line-height: 24px;\n    text-align: center;\n    color: ", ";\n  }\n  footer {\n    font-family: 'Poppins';\n    font-style: normal;\n    font-weight: 400;\n    font-size: 12px;\n    line-height: 18px;\n    text-align: center;\n    color: ", ";\n  }\n"])), function (props) {
  return props.selecionado ? 'linear-gradient(97.54deg, #002F52 35.49%, #326589 165.37%)' : '#FFFFFF';
}, function (props) {
  return props.selecionado ? '#002F52' : '#EB9B00';
}, function (props) {
  return props.selecionado ? '#FFF' : '#EB9B00';
}, function (props) {
  return props.selecionado ? '#FFF' : '#EB9B00';
}, function (props) {
  return props.selecionado ? '#FFF' : 'rgba(0, 0, 0, 0.54)';
});
var AbGrupoOpcoes = function AbGrupoOpcoes(_ref) {
  var opcoes = _ref.opcoes,
    onChange = _ref.onChange,
    valorPadrao = _ref.valorPadrao;
  var _useState = React.useState(valorPadrao != null ? valorPadrao : null),
    selecao = _useState[0],
    setSelecao = _useState[1];
  var aoSelecionar = function aoSelecionar(opcao) {
    setSelecao(opcao);
    if (onChange) onChange(opcao);
  };
  return React__default.createElement(React__default.Fragment, null, opcoes.map(function (opcao) {
    return React__default.createElement(SectionEstilizado, {
      onClick: function onClick() {
        return aoSelecionar(opcao);
      },
      key: opcao.id,
      selecionado: (selecao == null ? void 0 : selecao.id) == opcao.id
    }, React__default.createElement("header", null, opcao.titulo), React__default.createElement("div", null, React__default.createElement("strong", null, opcao.corpo)), React__default.createElement("footer", null, opcao.rodape));
  }));
};

var _templateObject$3;
var TagEstilizada = /*#__PURE__*/styled__default.div(_templateObject$3 || (_templateObject$3 = /*#__PURE__*/_taggedTemplateLiteralLoose(["\n  background: #EB9B00;\n  color: #FFFFFF;\n  display: inline-block;\n  font-family: sans-serif;\n  font-size: 24px;\n  font-weight: 700;\n  padding: 24px 32px;\n"])));
var AbTag = function AbTag(_ref) {
  var texto = _ref.texto;
  return React__default.createElement(TagEstilizada, null, texto);
};

var _templateObject$4, _templateObject2$1;
var LabelEstilizada = /*#__PURE__*/styled__default.label(_templateObject$4 || (_templateObject$4 = /*#__PURE__*/_taggedTemplateLiteralLoose(["\n    color: #002F52;\n    display: block;\n    font-weight: 700;\n    font-size: 16px;\n    font-family: Arial, Helvetica, sans-serif;\n    margin-left: 16px;\n    margin-bottom: 8px\n"])));
var InputEstilizado = /*#__PURE__*/styled__default.input(_templateObject2$1 || (_templateObject2$1 = /*#__PURE__*/_taggedTemplateLiteralLoose(["\n  font-size: 16px;\n  line-height: 24px;\n  color: #002F52;\n  padding: 8px 24px;\n  border: 1px solid #002F52;\n  border-radius: 45px;\n  &:focus{\n      outline: none;\n  }\n  width: 100%;\n  box-sizing: border-box;\n"])));
var AbCampoTexto = function AbCampoTexto(_ref) {
  var label = _ref.label,
    value = _ref.value,
    _onChange = _ref.onChange,
    _ref$type = _ref.type,
    type = _ref$type === void 0 ? 'text' : _ref$type;
  return React__default.createElement("div", null, React__default.createElement(LabelEstilizada, null, label), React__default.createElement(InputEstilizado, {
    type: type,
    value: value,
    onChange: function onChange(event) {
      return _onChange(event.target.value);
    }
  }));
};

// Please do not use types off of a default export module or else Storybook Docs will suffer.
// see: https://github.com/storybookjs/storybook/issues/9556
/**
 * A custom Thing component. Neat!
 */
var Thing = function Thing(_ref) {
  var children = _ref.children;
  return React__default.createElement("div", null, children || "the snozzberries taste like snozzberries");
};

exports.AbBotao = AbBotao;
exports.AbCampoTexto = AbCampoTexto;
exports.AbCard = AbCard;
exports.AbGrupoOpcoes = AbGrupoOpcoes;
exports.AbTag = AbTag;
exports.Thing = Thing;
//# sourceMappingURL=react-desenvolvendo-uma-biblioteca-de-componentes.cjs.development.js.map
